package com.xunhong.erp.turbo.biz.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CompanyCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CompanyDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CompanyUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.CompanyListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.CompanyPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.CompanyShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.Company;

import java.util.List;

/**
 * @author shenyifei
 */
public interface CompanyGateway {
	Company save(CompanyCreateCmd companyCreateCmd);

	IPage<Company> page(CompanyPageQry companyPageQry);

	List<Company> list(CompanyListQry companyListQry);

	Company update(CompanyUpdateCmd companyUpdateCmd);

	Company show(CompanyShowQry companyShowQry);

	void destroy(CompanyDestroyCmd companyDestroyCmd);
}

